clear 
set more off
capture log close

global voting "C:/Users/wb478787/Dropbox/MORE - DEC/MORE_temp/Temporary Esha/Voting_Lasso/Final Tables_Data_Code/Tables/Feb23/Data"
log using "$voting/Table_10_OA15.log", replace

*Generates Table 10 and OA15

use "$voting/Female_Voting_Lasso.dta", clear

gen d_hhsize=0
replace d_hhsize=1 if hhsize==.
replace hhsize=0 if hhsize==.

merge m:1 neighborhood_code using "$voting/Prob_weights_bound_cluster.dta", keepusing(actual_prob weight_t1 bound_1)
ren actual_prob prob_t1
drop _m

*Lasso Controls
local controls1 "NAregist_vot_F hhsize age nc05 nall tv_access mobil_ins_allow advice_pir"

capture erase "$voting/Table_10.xls"
capture erase "$voting/Table_10.txt"

capture erase "$voting/Table_OA15.xls"
capture erase "$voting/Table_OA15.txt"

local y "fem_knowledgeindex opinionindex1 aft5feb_votelist free_natelect electday_violence "

foreach x in `y'	{
	foreach z in  t_nocc cc {

	**TABLE 10**
	
	*WLS with covariates*
	xi:reg `x' `z' `controls1' d_hhsize d_age d_num_child0to5 i.village_code [iweight=weight_t1], cl(neighborhood_code)
	sum `x' if t_m==0 & e(sample)==1
	local mean=r(mean)
	outreg2 `z' using "$voting/Table_10.xls", nocons append bracket dec(3) addstat ("Mean Dep Var", `mean') keep(`z')
	
	**TABLE OA15**
	
	*WLS without covariates*
	xi:reg `x' `z' i.village_code [iweight=weight_t1] , cl(neighborhood_code)
	sum `x' if t_m==0 & e(sample)==1
	local mean=r(mean)
	outreg2 `z' using "$voting/Table_OA15.xls", nocons append bracket dec(3) addstat ("Mean Dep Var", `mean') keep(`z')
	
	
	*OLS with probability being assigned to T1 as an additional covariate*
	xi:reg `x' `z' `controls1' d_hhsize d_age d_num_child0to5 prob_t1 i.village_code  , cl(neighborhood_code)
	sum `x' if t_m==0 & e(sample)==1
	local mean=r(mean)
	outreg2 `z' using "$voting/Table_OA15.xls", nocons append bracket dec(3) addstat ("Mean Dep Var", `mean') keep(`z')
	
	*OLS excluding boundary clusters*
	xi:reg `x' `z' `controls1' d_hhsize d_age d_num_child0to5 i.village_code if bound_1==0  , cl(neighborhood_code)
	sum `x' if t_m==0 & e(sample)==1
	local mean=r(mean)
	outreg2 `z' using "$voting/Table_OA15.xls", nocons append bracket dec(3) addstat ("Mean Dep Var", `mean') keep(`z')
	
	}
}

log close
