clear 
set more off
capture log close

global voting "C:/Users/wb478787/Dropbox/MORE - DEC/MORE_temp/Temporary Esha/Voting_Lasso/Final Tables_Data_Code/Tables/Feb23/Data"

*Generates Table 1

* Panel A

use "$voting/Table_1A_6_polling_charac.dta", clear

log using "$voting/Table_1.log", replace

gen share_PPPP_valid_f=NA_pppvotes_F/natotal_valid_vot_f
gen share_PPPP_valid_m=NA_pppvotes_M/natotal_valid_vot_m
gen share_t=t/female_voters

foreach x in female_voters t share_t turno_na_f turno_na_m share_PPPP_valid_f share_PPPP_valid_m ///
		pct_cable_access_f asset_index_sd_m dist_pollstat_sd_f {
sum `x', d
foreach stat in N mean sd p10 p50 p90 {
gen `stat'_`x'=r(`stat')
}
}
gen num=_n

keep num N_* mean_* sd_* p10_* p50_* p90_*
keep if num==10

reshape long N_ mean_ sd_ p10_ p50_ p90_, i(num) j(var) string
drop num
gen order=1 if var=="female_voters"
replace order=2 if var=="t"
replace order=3 if var=="share_t" 
replace order=4 if var=="turno_na_f"
replace order=5 if var=="turno_na_m" 
replace order=6 if var=="share_PPPP_valid_f"
replace order=7 if var=="share_PPPP_valid_m" 
replace order=8 if var=="pct_cable_access_f" 
replace order=9 if var=="asset_index_sd_m" 
replace order=10 if var=="dist_pollstat_sd_f"


gen name="Number of women registered in each polling station" if order==1
replace name="Number of targeted women in each polling station" if order==2
replace name="Share of targeted women" if order==3
replace name="Turnout for women" if order==4
replace name="Turnout for men" if order==5
replace name="Share of PPPP among female voters" if order==6
replace name="Share PPPP among male voters" if order==7
replace name="Percentage of women with access to cable in the polling station" if order==8
replace name="St. Dev of asset index" if order==9
replace name="St. Dev of dist index" if order==10

sort order
drop order
order name N_ mean_ sd_ p10_ p50_ p90_ var
outsheet using "$voting/Table1_panelA.xls", replace


* Panel B

use "$voting/Table_1B_2A_hh_char.dta", clear

keep hhsize num_female asset_index lown_total month_exp house_quality zaat_status_low dist_poll_male

replace month_exp=month_exp/1000

foreach x in hhsize num_female asset_index lown_total month_exp house_quality zaat_status_low dist_poll_male {
sum `x', d
foreach stat in N mean sd p10 p50 p90 {
gen `stat'_`x'=r(`stat')
}
}

note: dist_poll_HH is not in dataset
note: "Distance between households within geographical cluster (meters)" and "Distance between households within village (meters)" appear in table but not in code
gen num=_n

keep num N_* mean_* sd_* p10_* p50_* p90_*
keep if num==10

reshape long N_ mean_ sd_ p10_ p50_ p90_, i(num) j(var) string
drop num

gen order=1 if var=="hhsize"
replace order=2 if var=="num_female"
replace order=3 if var=="asset_index" 
replace order=4 if var=="lown_total"
replace order=5 if var=="month_exp" 
replace order=6 if var=="house_quality"
replace order=7 if var=="zaat_status_low" 
replace order=8 if var=="dist_poll_male" 

gen name="Household Size" if order==1
replace name="Number of women in the household" if order==2
replace name="Asset Index" if order==3
replace name="Total Land Owned" if order==4
replace name="Average Monthly Expenditure" if order==5
replace name="House Quality Index" if order==6
replace name="Low Zaat Status" if order==7
replace name="Distance to Polling Station" if order==8

sort order
drop order
order name N_ mean_ sd_ p10_ p50_ p90_ var

outsheet using "$voting/Table1_panelB.xls", replace

use "$voting/Table_1B_Density_Neigh.dta", clear

sum GC_dist,d 

use "$voting/Table_1B_Density_Vill.dta", clear

sum GC_dist,d 

* Panel C
	
use "$voting/Table_1C_2B_female_charac.dta", clear

local vars "age any_school d_married num_child0to5 nall voted_lastyear  radio_access tv_access cable_access mobil_ins_allow ngo_allow member_mrdo_cbo advice_pir visit_receive rallies_bef5feb v_list "

foreach x in `vars' {
sum `x', d
foreach stat in N mean sd p10 p50 p90 {
gen `stat'_`x'=r(`stat')
}
}

gen num=_n

keep num N_* mean_* sd_* p10_* p50_* p90_*
keep if num==10

reshape long N_ mean_ sd_ p10_ p50_ p90_, i(num) j(var) string
drop num

gen order=1 if var=="age"
replace order=2 if var=="any_school"
replace order=3 if var=="d_married" 
replace order=4 if var=="num_child0to5"
replace order=5 if var=="nall" 
replace order=6 if var=="voted_lastyear"
replace order=7 if var=="radio_access" 
replace order=8 if var=="tv_access" 
replace order=9 if var=="cable_access" 
replace order=10 if var=="mobil_ins_allow" 
replace order=11 if var=="ngo_allow" 
replace order=12 if var=="member_mrdo_cbo" 
replace order=13 if var=="visit_receive" 
replace order=14 if var=="rallies_bef5feb" 
replace order=15 if var=="v_list" 
replace order=16 if var=="advice_pir" 

gen name="Age" if order==1
replace name="Woman has Formal Schooling" if order==2
replace name="Woman is Married" if order==3
replace name="Number of children under 5" if order==4
replace name="Woman has NIC or CNIC" if order==5
replace name="Woman voted in last elections" if order==6
replace name="Access to Radio" if order==7
replace name="Access to TV" if order==8
replace name="Access to Cable" if order==9
replace name="Mobility Index" if order==10
replace name="Woman Allowed to join NGO" if order==11
replace name="Woman is a member of MRDO" if order==12
replace name="Received visit from political party staff" if order==13
replace name="Attended poltiical rally before intervention" if order==14
replace name="In the Voter List" if order==15
replace name="Seeks advice from religious leader" if order==16

sort order
drop order
order name N_ mean_ sd_ p10_ p50_ p90_ var

outsheet using "$voting/Table1_panelC.xls", replace

log close
