clear 
set more off
capture log close

global voting "C:/Users/wb478787/Dropbox/MORE - DEC/MORE_temp/Temporary Esha/Voting_Lasso/Final Tables_Data_Code/Tables/Feb23/Data"

*Generates Table 2

* Panel A

log using "$voting/Table_2.log", replace

use "$voting/Table_1B_2A_hh_char.dta", clear

local vars1 "hhsize num_female asset_index lown_total month_exp house_quality dist_poll_male zaat_status_low   "

gen tag_t1 =1 if t1 ==1 
replace tag_t1 =0 if tm ==0

gen tag_t2 = 1 if t2==1
replace tag_t2 = 0 if tm==0

gen untag_t1 = 1 if c_t1m==1
replace untag_t1 = 0 if tm ==0

gen untag_t2 = 1 if c_t2m ==1
replace untag_t2 = 0 if tm ==0

capture erase "$voting/Table2_PanelA.xls"
capture erase "$voting/Table2_PanelA.txt"

foreach treat in  tag_t1 tag_t2 untag_t1 untag_t2 {
xi: reg `treat' `vars1' i.village_name, cl(neighborhood_code)
test `vars1'
local test2=r(p)

foreach x in `vars1' {
xi: reg `x' `treat' i.village_name, cl(neighborhood_code)
outreg2 using "$voting/Table2_PanelA.xls", append bracket dec(3) addstat ("F Test", `test2') keep(`treat')
}
}
*

local vars1 "hhsize num_female asset_index lown_total month_exp house_quality dist_poll_male zaat_status_low   "
estpost tabstat `vars1'  if  tm==0,  ///
statistics (count mean sd p10 median p90 ) columns(statistics)
esttab  using "$voting/Table2_PanelA_mean.csv",   cells("count mean(fmt(2)) sd(fmt(2)) p10(fmt(2)) p50(fmt(2)) p90(fmt(2))") replace nonum noobs


* Panel B

use "$voting/Table_1C_2B_female_charac.dta", clear

gen tag_t1 =1 if t1 ==1 
replace tag_t1 =0 if t_m ==0

gen tag_t2 = 1 if t2==1
replace tag_t2 = 0 if t_m==0

gen untag_t1 = 1 if c_t1m==1
replace untag_t1 = 0 if t_m ==0

gen untag_t2 = 1 if c_t2m ==1
replace untag_t2 = 0 if t_m ==0

local vars2 "age any_school d_married num_child0to5 nall voted_lastyear  radio_access tv_access cable_access mobil_ins_allow ngo_allow member_mrdo_cbo advice_pir visit_receive rallies_bef5feb v_list"

capture erase "$voting/Table2_PanelB.xls"
capture erase "$voting/Table2_PanelB.txt"

foreach treat in tag_t1 tag_t2 untag_t1 untag_t2 {
xi: reg `treat' `vars2' i.village_name, cl(neighborhood_code)
test `vars2'
local test2=r(p)

foreach x in `vars2' {
xi: reg `x' `treat' i.village_name, cl(neighborhood_code)
outreg2 using "$voting/Table2_PanelB.xls", append bracket dec(3) addstat ("F Test", `test2') keep(`treat')
}
}
*

estpost tabstat `vars2'  if  t_m==0,  ///
statistics (count mean sd p10 median p90 ) columns(statistics)
esttab  using "$voting/Table2_PanelB_mean.csv",   cells("count mean(fmt(2)) sd(fmt(2)) p10(fmt(2)) p50(fmt(2)) p90(fmt(2))") replace nonum noobs

log close
