clear 
set more off
capture log close

global voting "C:/Users/wb478787/Dropbox/MORE - DEC/MORE_temp/Temporary Esha/Voting_Lasso/Final Tables_Data_Code/Tables/Feb23/Data"
log using "$voting/Table_3.log", replace

*Generates Table 3 and OA10

use "$voting/Table_3_OA10_InterventionCheck.dta", clear

**gen targeted ttreatment 
ren t_m tm
gen tag_t = t

**targeted t1 and t2
gen tag_t1 =1 if t1 ==1 
replace tag_t1 =0 if tm ==0

gen tag_t2 = 1 if t2==1
replace tag_t2 = 0 if tm==0

**untargeted t1 and t2
gen untag_t1 = 1 if t1 ==0 & t1_m ==1
replace untag_t1 = 0 if tm ==0

gen untag_t2 = 1 if t2 ==0 & t2_m ==1
replace untag_t2 = 0 if tm ==0

**untargeted treated
gen untag_t = 1 if untag_t1 ==1| untag_t2==1
replace untag_t =0 if tm==0

**control
gen control = 1-tm

gen all =1
su all tag_t tag_t1 tag_t2 untag_t untag_t1 untag_t2 control

**coding q1s differently
**2=0 --> occasionally ==0, 3==0 --> never==0, 4==0 --> don't know==0 and frequently ==1
foreach var in discuss_women_hh discuss_women_neighbor discuss_confidant discuss_male_hh {
recode `var' 2=0 3=0 4=0
}

**making importance of voting, secret voting, both
gen importance_voting = 0 if issue_recall !=.
replace importance_voting =1 if issue_recall ==1

gen secret_voting = 0 if issue_recall !=.
replace secret_voting =1 if issue_recall ==2

gen import_secret_voting = 0 if issue_recall !=.
replace import_secret_voting =1 if issue_recall ==3

**need to recode no ==0 not 2
foreach v in received_visit neighbor_join discuss_neighbor ///
	women_hh_party_cand women_hh_voting_importance women_hh_voting_prefer ///
	women_neighbor_party_cand women_neighbor_voting_importance women_neighbor_voting_prefer ///
	confidant_party_cand confidant_voting_importance confidant_voting_prefer ///
	male_hh_party_cand male_hh_voting_prefer male_hh_voting_importance{
tab `v',m
recode `v' 2=0
}

gen empty1 = ""

***Table 3***

capture erase "$voting/Table_3.csv"

local vars1 "received_visit neighbor_join empty1 importance_voting secret_voting import_secret_voting discuss_neighbor empty1 discuss_women_neighbor women_neighbor_party_cand women_neighbor_voting_importance women_neighbor_voting_prefer empty1 discuss_male_hh male_hh_party_cand male_hh_voting_importance male_hh_voting_prefer"
su `vars1'

est clear
local j =1
foreach var in all tag_t1 tag_t2 untag_t1 untag_t2 control {
estpost su `vars1' if `var'==1
est store `var'
local j = `j'+1
}
esttab * using "$voting/Table_3.csv",  append stats(N, fmt(%18.0g)) cells( mean(fmt(2))) 

**getting the count

est clear
local j =1
foreach var in all tag_t1 tag_t2 untag_t1 untag_t2 control {
estpost su `vars1' if `var'==1
est store `var'
local j = `j'+1
}

esttab * using "$voting/Table_3.csv",   cells(count) append nonum noobs

***Table OA10***

capture erase "$voting/Table_OA10.csv"

local vars2 " discuss_women_hh women_hh_party_cand women_hh_voting_importance women_hh_voting_prefer empty1  discuss_confidant confidant_party_cand confidant_voting_importance confidant_voting_prefer "

est clear
local j =1
foreach var in all tag_t1 tag_t2 untag_t1 untag_t2 control {
estpost su `vars2' if `var'==1
est store `var'
local j = `j'+1
}
esttab * using "$voting/Table_OA10.csv",  append stats(N, fmt(%18.0g)) cells( mean(fmt(2))) 

**getting the count

est clear
local j =1
foreach var in all tag_t1 tag_t2 untag_t1 untag_t2 control {
estpost su `vars2' if `var'==1
est store `var'
local j = `j'+1
}

esttab * using "$voting/Table_OA10.csv", cells(count) append nonum noobs

log close
