clear 
set more off
capture log close

global voting "C:/Users/wb478787/Dropbox/MORE - DEC/MORE_temp/Temporary Esha/Voting_Lasso/Final Tables_Data_Code/Tables/Feb23/Data"
log using "$voting/Table_8_OA14.log", replace

**Generates Table 8 and Table OA14

use "$voting/Table_8_OA14_CrossReports.dta", clear

capture erase "$voting/Table_8.xls"
capture erase "$voting/Table_8.txt"

capture erase "$voting/Table_OA14.xls"
capture erase "$voting/Table_OA14.txt"

gen d_hhsize=0
replace d_hhsize=1 if hhsize==.
replace hhsize =0 if hhsize==.

merge m:1 neighborhood_code using "$voting/Prob_weights_bound_cluster.dta", keepusing(actual_prob weight_t1 bound_1)
ren actual_prob prob_t1
drop _m

gen tm1=t1m //Treatment 1 mohalla
gen tm2=t2m //treatment 2 mohalla 
gen tm1_male_report=t1m_male_report
gen tm2_male_report=t2m_male_report
gen t_nocc1=t1_nocc
gen t_nocc2=t2_nocc
gen t_nocc1_male_report=t1_nocc_male_report
gen t_nocc2_male_report=t2_nocc_male_report

local controls1 "NAregist_vot_F age_new pA_tv_access pA_nc05 pA_mobil_ins_allow pA_advice_pir hhsize pA_nic"

foreach x in t_nocc cc {

***TABLE 8***

**WLS with covariates**
xi:reg whom_voted `x'1 `x'2 male_report `x'1_male_report `x'2_male_report d_hhsize i.village_code `controls1' [iweight=weight_t1], cl(neighborhood_code)
test `x'1=`x'2
local testone=r(p)
test `x'1_male_report=`x'2_male_report
local testtwo=r(p)
sum whom_voted if `x'==0 & e(sample)==1
local ymean=r(mean)
outreg2 `x'1 `x'2 male_report `x'1_male_report `x'2_male_report using "$voting/Table_8.xls", append nocons bracket dec(3) ///
		addstat("Mean Dep Var", `ymean', "Test1", `testone', "Test2", `testtwo') keep(`x'1 `x'2 male_report `x'1_male_report `x'2_male_report)

***TABLE OA14***

**WLS without covariates**
xi:reg whom_voted `x'1 `x'2 male_report `x'1_male_report `x'2_male_report i.village_code [iweight=weight_t1], cl(neighborhood_code)
test `x'1=`x'2
local testone=r(p)
test `x'1_male_report=`x'2_male_report
local testtwo=r(p)
sum whom_voted if `x'==0 & e(sample)==1
local ymean=r(mean)
outreg2 `x'1 `x'2 male_report `x'1_male_report `x'2_male_report using "$voting/Table_OA14.xls", append nocons bracket dec(3) ///
		addstat("Mean Dep Var", `ymean', "Test1", `testone', "Test2", `testtwo') keep(`x'1 `x'2 male_report `x'1_male_report `x'2_male_report)

**OLS with the probability of being assigned to T1 added to the covariates**
xi:reg whom_voted `x'1 `x'2 male_report `x'1_male_report `x'2_male_report d_hhsize i.village_code prob_t1 `controls1', cl(neighborhood_code)
test `x'1=`x'2
local testone=r(p)
test `x'1_male_report=`x'2_male_report
local testtwo=r(p)
sum whom_voted if `x'==0 & e(sample)==1
local ymean=r(mean)
outreg2 `x'1 `x'2 male_report `x'1_male_report `x'2_male_report using "$voting/Table_OA14.xls", append nocons bracket dec(3) ///
		addstat("Mean Dep Var", `ymean', "Test1", `testone', "Test2", `testtwo') keep(`x'1 `x'2 male_report `x'1_male_report `x'2_male_report)

**OLS exclusing boundary clusters**
xi:reg whom_voted `x'1 `x'2 male_report `x'1_male_report `x'2_male_report d_hhsize i.village_code  `controls1' if bound_1==0, cl(neighborhood_code)
test `x'1=`x'2
local testone=r(p)
test `x'1_male_report=`x'2_male_report
local testtwo=r(p)
sum whom_voted if `x'==0 & e(sample)==1
local ymean=r(mean)
outreg2 `x'1 `x'2 male_report `x'1_male_report `x'2_male_report using "$voting/Table_OA14.xls", append nocons bracket dec(3) ///
		addstat("Mean Dep Var", `ymean', "Test1", `testone', "Test2", `testtwo') keep(`x'1 `x'2 male_report `x'1_male_report `x'2_male_report)
}

log close 
