clear 
set more off
capture log close

global voting "C:/Users/wb478787/Dropbox/MORE - DEC/MORE_temp/Temporary Esha/Voting_Lasso/Final Tables_Data_Code/Tables/Feb23/Data"
log using "$voting/Table_9.log", replace

*Generates Table 9

use "$voting/Female_Voting_Lasso.dta", clear

codebook t1 t2 t t1_m t2_m t_m t1_nocc t2_nocc cc1 cc2 c_t1m c_t2m

*Lasso controls
local controls1 "NAregist_vot_F hhsize age nc05 nall tv_access mobil_ins_allow advice_pir"

** All, All

foreach x in party_voted_same party_voted_dif fem_voted_male_no fem_no_voted {
	foreach y in t1 t2 c_t1m c_t2m {
		sum `x' if `y'==1
	}
}

** Controls, All

foreach x in party_voted_same party_voted_dif fem_voted_male_no fem_no_voted {
	sum `x' if t_m==0
}

** All, vote_past==0;

foreach x in party_voted_same party_voted_dif fem_voted_male_no fem_no_voted {
		foreach y in t1 t2 c_t1m c_t2m {
			sum `x' if `y'==1 & vote_past==0
			}
}

** Controls, vote_past==0

foreach x in party_voted_same party_voted_dif fem_voted_male_no fem_no_voted {
	sum `x' if t_m==0 & vote_past==0
}

** All, vote_past==1;

foreach x in party_voted_same party_voted_dif fem_voted_male_no fem_no_voted {
		foreach y in t1 t2 c_t1m c_t2m {
			sum `x' if `y'==1 & vote_past==1
			}
}

** Controls, vote_past==1

foreach x in party_voted_same party_voted_dif fem_voted_male_no fem_no_voted {
	sum `x' if t_m==0 & vote_past==1
}

gen d_hhsize=0
replace d_hhsize=1 if hhsize==.
replace hhsize=0 if hhsize==.

***P values from regression

capture erase "$voting/Table_9_All.xls"
capture erase "$voting/Table_9_All.txt"

capture erase "$voting/Table_9_NoVotePast.xls"
capture erase "$voting/Table_9_NoVotePast.txt"

capture erase "$voting/Table_9_YESVotedPast.xls"
capture erase "$voting/Table_9_YESVotedPast.txt"

merge m:1 neighborhood_code using "$voting/Prob_weights_bound_cluster.dta", keepusing(actual_prob weight_t1 bound_1)
ren actual_prob prob_t1
drop _m

local controls1 "NAregist_vot_F hhsize age nc05 nall tv_access mobil_ins_allow advice_pir"

foreach x in party_voted_same party_voted_dif fem_voted_male_no fem_no_voted {
	xi: reg `x' t1 t2 c_t1m c_t2m `controls1' d_hhsize d_age d_num_child0to5 i.village_code [iweight=weight_t1], cl(neighborhood_code)
	test t1
	local testt1=r(p)
	test t2
	local testt2=r(p)
	test c_t1m
	local testut1=r(p)
	test c_t2m
	local testut2=r(p)
	outreg2 t1 t2 c_t1m c_t2m using "$voting/Table_9_All.xls", nocons append bracket dec(3) ///
			addstat ( "T1", `testt1', "T2", `testt2', "UNtar T1", `testut1', "UNtar T2", `testut2') ///
			keep(t1 t2 c_t1m c_t2m)

	xi: reg `x' t1 t2 c_t1m c_t2m `controls1' d_hhsize d_age d_num_child0to5 i.village_code if vote_past==0 [iweight=weight_t1], cl(neighborhood_code)
	test t1
	local testt1 =r(p)
	test t2
	local testt2=r(p)
	test c_t1m
	local testut1=r(p)
	test c_t2m
	local testut2=r(p)
	outreg2 t1 t2 c_t1m c_t2m using "$voting/Table_9_NoVotePast.xls", nocons append bracket dec(3) ///
			addstat ( "T1", `testt1', "T2", `testt2', "UNtar T1", `testut1', "UNtar T2", `testut2') ///
			keep(t1 t2 c_t1m c_t2m)

	xi: reg `x' t1 t2 c_t1m c_t2m `controls1' d_hhsize d_age d_num_child0to5  i.village_code if vote_past==1 [iweight=weight_t1], cl(neighborhood_code)
	test t1
	local testt1=r(p)
	test t2
	local testt2=r(p)
	test c_t1m
	local testut1=r(p)
	test c_t2m
	local testut2=r(p)
	outreg2 t1 t2 c_t1m c_t2m using "$voting/Table_9_YESVotedPast.xls", nocons append bracket dec(3) ///
			addstat ( "T1", `testt1', "T2", `testt2', "UNtar T1", `testut1', "UNtar T2", `testut2') ///
			keep(t1 t2 c_t1m c_t2m)
}

log close
