clear 
set more off
capture log close

global voting "C:/Users/wb478787/Dropbox/MORE - DEC/MORE_temp/Temporary Esha/Voting_Lasso/Final Tables_Data_Code/Tables/Feb23/Data"
log using "$voting/Table_OA2.log", replace

*Generates Table OA2

use "$voting/Table_OA2_Gender_Diff.dta", clear

* Panel A

preserve

foreach var in radio_access tv_access cable_access {
foreach x in 1 0 {
sum `var' if female==`x'
gen mean_`x'_`var'=r(mean)
gen N_`x'_`var'=r(N)
}
reg `var' female, cl(neighborhood_code)
test female
gen Pval_`var'=r(p)
gen N_`var'=N_1_`var'+N_0_`var'
}

foreach var in radiohrsweek listenradiobbc {
foreach x in 1 0 {
sum `var' if radio_access==1 & female==`x'
gen mean_`x'_`var'=r(mean)
gen N_`x'_`var'=r(N)
}
reg `var' female if radio_access==1, cl(neighborhood_code)
test female
gen Pval_`var'=r(p)
gen N_`var'=N_1_`var'+N_0_`var'
}

foreach var in tvhrsweek {
foreach x in 1 0 {
sum `var' if tv_access==1 & female==`x'
gen mean_`x'_`var'=r(mean)
gen N_`x'_`var'=r(N)
}
reg `var' female if tv_access==1, cl(neighborhood_code)
test female
gen Pval_`var'=r(p)
gen N_`var'=N_1_`var'+N_0_`var'
}

keep mean_* N_* Pval_*
gen num=_n
keep if num==10
reshape long mean_1_ mean_0_ N_ Pval_, i(num) j(var) string
drop num

gen order=1 if var=="radio_access"
replace order=2 if var=="radiohrsweek"
replace order=3 if var=="tv_access" 
replace order=4 if var=="tvhrsweek"
replace order=5 if var=="cable_access" 
replace order=6 if var=="listenradiobbc"

sort order
drop order

order var N_ mean_1_ mean_0_ Pval_

outsheet using "$voting/Table_OA2_PanelA.xls", replace 

restore

* Panel B

preserve
local vars "know_party_sign_NA tell2party_NA know_gender_NA tell2candi_NA recall_candi_NA aware_emerg"

foreach var in `vars' {
foreach x in 1 0 {
sum(`var') if female==`x' & (only_revisit==0 | only_revisit==.)
gen mean_`x'_`var'=r(mean)
gen N_`x'_`var'=r(N)
}
reg `var' female, cl(neighborhood_code)
test female
gen Pval_`var'=r(p)
gen N_`var'=N_1_`var'+N_0_`var'
}
drop N_1_* N_0_*


keep mean_0_* mean_1_* N_* Pval_*
gen num=_n
keep if num==10
reshape long mean_1_ mean_0_ N_ Pval_, i(num) j(var) string
drop num

gen order=1 if var=="know_party_sign_NA"
replace order=2 if var=="tell2party_NA"
replace order=3 if var=="know_gender_NA" 
replace order=4 if var=="tell2candi_NA"
replace order=5 if var=="recall_candi_NA" 
replace order=6 if var=="aware_emerg"

sort order
drop order

order var N_ mean_1_ mean_0_ Pval_
outsheet using "$voting/Table_OA2_PanelB.xls", replace 


restore

* Panel C

preserve

ren female fem
gen female =.
replace female = 1 if d_wife == 1 & fem==1
replace female = 0 if d_wife ==. & fem==0

local clife1 "attend_communitymeeting attend_demonstration electofficial_leftname police_arrest seize_land actionindex contact_localcouncilor contact_polpartyofficial contactformalindex contact_religiousleader contact_traditionalruler contactinformalindex rallies_bef"
local clife2 " actionindex electofficial_leftname police_arrest seize_land"


foreach var in `clife1' {
	foreach y in 1 0 {
	sum `var' if female==`y'
	gen N_`y'_`var'=r(N)	
	gen mean_`y'_`var'=r(mean)
	}
	reg `var' female, cl(neighborhood_code)
	test female
	gen pvalue_`var'=r(p)
	gen N_`var'=N_1_`var'+N_0_`var'
	drop N_1_`var' N_0_`var'
}


keep N_* mean_* pvalue_*

gen num=_n
keep if num==10

reshape long N_ mean_1_ mean_0_ pvalue_, i(num) j(var) string

gen order=1 if var=="attend_communitymeeting"
replace order=2 if var=="attend_demonstration"
replace order=3 if var=="rallies_bef" 
replace order=4 if var=="electofficial_leftname"
replace order=5 if var=="police_arrest" 
replace order=6 if var=="seize_land"
replace order=7 if var=="actionindex"
replace order=8 if var=="contact_localcouncilor"
replace order=9 if var=="contact_polpartyofficial"
replace order=10 if var=="contactformalindex"
replace order=11 if var=="contact_religiousleader"
replace order=12 if var=="contact_traditionalruler"
replace order=13 if var=="contactinformalindex"

sort order
drop order

keep var N_ mean_1_ mean_0_ pvalue_
order var N_ mean_1_ mean_0_ pvalue_

outsheet using "$voting/Table_OA2_PanelC.xls", replace

restore

log close
