clear 
set more off
capture log close

*global voting "C:/Users/wb478787/Dropbox/MORE - DEC/MORE_temp/Temporary Esha/Voting_Lasso/Final Tables_Data_Code/Tables/Feb23/Data"
global voting "/Users/eshachhabra/Dropbox/MORE - DEC/MORE_temp/Temporary Esha/Voting_Lasso/Final Tables_Data_Code/Tables/Feb23/Data"

log using "$voting/Table_OA3.log", replace

*Generates Table OA3

use "$voting/Table_OA3_Mouza_data.dta", clear

foreach var in any_industry bricked_street construction_houses perctg_cultivated ///
postoffice electric_avail primary_edu_boys primary_edu_girls retail_mark total_area ///
total_settlements water_filtration {
foreach x in 1 0 {
sum `var' if study_v_SK==`x'
gen mean_`x'_`var'=r(mean)
gen N_`x'_`var'=r(N)
}
reg `var' study_v_SK
test study_v_SK
gen Pval_`var'=r(p)
gen N_`var'=N_1_`var'+N_0_`var'
}
*

keep mean_1_* mean_0_*
gen num=_n
keep if num==10
reshape long mean_1_ mean_0_, i(num) j(var) string
drop num

gen order=1 if var=="total_area"
replace order=2 if var=="perctg_cultivated"
replace order=3 if var=="total_settlements" 
replace order=4 if var=="postoffice"
replace order=5 if var=="primary_edu_boys" 
replace order=6 if var=="primary_edu_girls"
replace order=7 if var=="any_industry"
replace order=8 if var=="bricked_street"
replace order=9 if var=="construction_houses"
replace order=10 if var=="electric_avail"
replace order=11 if var=="retail_mark"
replace order=12 if var=="water_filtration"

sort order
drop order

outsheet using "$voting/Table_OA3_StudyDistricts.xls", replace 

***

use "$voting/Table_OA3_Mouza_data.dta", clear

foreach var in any_industry bricked_street construction_houses perctg_cultivated ///
postoffice electric_avail primary_edu_boys primary_edu_girls retail_mark total_area ///
total_settlements water_filtration {
foreach x in 1 0 {
sum `var' if study_v_sindh==`x'
gen mean_`x'_`var'=r(mean)
gen N_`x'_`var'=r(N)
}
reg `var' study_v_sindh
test study_v_sindh
gen Pval_`var'=r(p)
gen N_`var'=N_1_`var'+N_0_`var'
}
*

keep mean_0_* 
gen num=_n
keep if num==10
reshape long mean_0_, i(num) j(var) string
drop num

gen order=1 if var=="total_area"
replace order=2 if var=="perctg_cultivated"
replace order=3 if var=="total_settlements" 
replace order=4 if var=="postoffice"
replace order=5 if var=="primary_edu_boys" 
replace order=6 if var=="primary_edu_girls"
replace order=7 if var=="any_industry"
replace order=8 if var=="bricked_street"
replace order=9 if var=="construction_houses"
replace order=10 if var=="electric_avail"
replace order=11 if var=="retail_mark"
replace order=12 if var=="water_filtration"

sort order
drop order

outsheet using "$voting/Table_OA3_Sindh.xls", replace 


***Random Draws - Colums 3,4,6,7

**For Study Districts

use "$voting/Table_OA3_Mouza_data.dta", clear

drop if study_v_SK ==.

foreach var of varlist any_industry bricked_street construction_houses perctg_cultivated ///
postoffice electric_avail primary_edu_boys primary_edu_girls retail_mark total_area ///
total_settlements water_filtration {

su `var' if study_v_SK ==1
local mx`var'=r(mean)

set seed 222
local r=100
forvalues i=1/`r'{
preserve
bsample 9 if  study_v_SK ==0
local o_seed `c(seed)'
set seed 12345
su `var' 
set seed `o_seed'
restore
local m`i'`var'=r(mean)
gen `var'd`i' = (`mx`var''-`m`i'`var'')   

}
}
*

keep any_industry* bricked_street* construction_houses* perctg_cultivated* ///
postoffice* electric_avail* primary_edu_boys* primary_edu_girls* retail_mark* total_area* ///
total_settlements* water_filtration*

drop any_industry bricked_street construction_houses perctg_cultivated ///
postoffice electric_avail primary_edu_boys primary_edu_girls retail_mark total_area ///
total_settlements water_filtration
*
duplicates drop

gen id = _n

reshape long any_industry bricked_street construction_houses perctg_cultivated ///
postoffice electric_avail primary_edu_boys primary_edu_girls retail_mark total_area ///
total_settlements water_filtration, i(id) string 

drop _j id

foreach var of varlist any_industry bricked_street construction_houses perctg_cultivated ///
postoffice electric_avail primary_edu_boys primary_edu_girls retail_mark total_area ///
total_settlements water_filtration {

sort `var'
gen id_`var' = _n

gen `var'_5_pectg = `var' if id_`var' ==5
gen `var'_95_pectg = `var' if id_`var' ==95

egen m_`var'_5_pectg = max(`var'_5_pectg)
egen m_`var'_95_pectg = max(`var'_95_pectg)

}

keep m_*
duplicates drop
ren m_* *

gen id = _n
reshape long any_industry bricked_street construction_houses perctg_cultivated ///
postoffice electric_avail primary_edu_boys primary_edu_girls retail_mark total_area ///
total_settlements water_filtration, i(id) string

drop id
xpose, clear varname
drop if _varname == "_j"

ren v1 _5_percentile
ren v2 _95_percentile
ren _varname variables 

gen order=1 if var=="total_area"
replace order=2 if var=="perctg_cultivated"
replace order=3 if var=="total_settlements" 
replace order=4 if var=="postoffice"
replace order=5 if var=="primary_edu_boys" 
replace order=6 if var=="primary_edu_girls"
replace order=7 if var=="any_industry"
replace order=8 if var=="bricked_street"
replace order=9 if var=="construction_houses"
replace order=10 if var=="electric_avail"
replace order=11 if var=="retail_mark"
replace order=12 if var=="water_filtration"

sort order
drop order

order variables _5_percentile _95_percentile

outsheet using "$voting/Table_OA3_StudyDistricts_randomdraws.xls", replace 

***For sindh 

use "$voting/Table_OA3_Mouza_data.dta", clear

drop if study_v_sindh ==.
foreach var of varlist any_industry bricked_street construction_houses perctg_cultivated ///
postoffice electric_avail primary_edu_boys primary_edu_girls retail_mark total_area ///
total_settlements water_filtration {
su `var' if study_v_sindh ==1
local mx`var'=r(mean)

set seed 222
local r=100
forvalues i=1/`r'{
preserve
bsample 9 if  study_v_sindh ==0
local o_seed `c(seed)'
set seed 12345
su `var' 
set seed `o_seed'
restore
local m`i'`var'=r(mean)
gen `var'd`i' = (`mx`var''-`m`i'`var'')   
}
}
*

keep any_industry* bricked_street* construction_houses* perctg_cultivated* ///
postoffice* electric_avail* primary_edu_boys* primary_edu_girls* retail_mark* total_area* ///
total_settlements* water_filtration*

drop any_industry bricked_street construction_houses perctg_cultivated ///
postoffice electric_avail primary_edu_boys primary_edu_girls retail_mark total_area ///
total_settlements water_filtration
*
duplicates drop

gen id = _n

reshape long any_industry bricked_street construction_houses perctg_cultivated ///
postoffice electric_avail primary_edu_boys primary_edu_girls retail_mark total_area ///
total_settlements water_filtration, i(id) string 

drop _j id

foreach var of varlist any_industry bricked_street construction_houses perctg_cultivated ///
postoffice electric_avail primary_edu_boys primary_edu_girls retail_mark total_area ///
total_settlements water_filtration {
sor `var'
gen id_`var' = _n

gen `var'_5_pectg = `var' if id_`var' ==5
gen `var'_95_pectg = `var' if id_`var' ==95

egen m_`var'_5_pectg = max(`var'_5_pectg)
egen m_`var'_95_pectg = max(`var'_95_pectg)

}
*

keep m_*
duplicates drop
ren m_* *

gen id = _n
reshape long any_industry bricked_street construction_houses perctg_cultivated ///
postoffice electric_avail primary_edu_boys primary_edu_girls retail_mark total_area ///
total_settlements water_filtration, i(id) string

drop id
xpose, clear varname
drop if _varname == "_j"

ren v1 _5_percentile
ren v2 _95_percentile
ren _varname variables 

gen order=1 if var=="total_area"
replace order=2 if var=="perctg_cultivated"
replace order=3 if var=="total_settlements" 
replace order=4 if var=="postoffice"
replace order=5 if var=="primary_edu_boys" 
replace order=6 if var=="primary_edu_girls"
replace order=7 if var=="any_industry"
replace order=8 if var=="bricked_street"
replace order=9 if var=="construction_houses"
replace order=10 if var=="electric_avail"
replace order=11 if var=="retail_mark"
replace order=12 if var=="water_filtration"

sort order
drop order

order variables _5_percentile _95_percentile

outsheet using "$voting/Table_OA3_Sindh_randomdraws.xls", replace 

log close
