clear 
set more off
capture log close

global voting "C:/Users/wb478787/Dropbox/MORE - DEC/MORE_temp/Temporary Esha/Voting_Lasso/Final Tables_Data_Code/Tables/Feb23/Data"
log using "$voting/Table_OA5.log", replace

*Generates Table OA5

use "$voting/Female_Voting_Lasso.dta", clear

merge m:1 neighborhood_code using "$voting/Prob_weights_bound_cluster.dta", keepusing(actual_prob bound_1 bound_2)
ren actual_prob prob_t1
drop _m

foreach var of varlist NAregist_vot_F ///
				month_expend hhsize house_quality asset_index zaat_status_low land num_women dist_poll_HH ///
				age d_age any_school nc05 voted_lastyear tv_access cable_access radio_access ngo_allow member_mrdo_cbo ///
				mobil_outs_allow nall advice_pir {
		
		bys neighborhood_code: egen cluster_`var'=mean(`var')
}

keep cluster_NAregist_vot_F-cluster_advice_pir neighborhood_code bound_1 bound_2 village_code prob_t1

duplicates drop neighborhood_code, force

drop if neigh==.

capture erase "$voting/Table_OA5_cluster.xls"
capture erase "$voting/Table_OA5_cluster.txt"

foreach x of varlist prob_t1 bound_1 {

xi: reg `x' cluster_NAregist_vot_F cluster_month_expend cluster_hhsize cluster_house_quality cluster_asset_index cluster_zaat_status_low  ///
			cluster_land cluster_num_women cluster_dist_poll_HH ///
			cluster_age cluster_any_school cluster_nc05 cluster_voted_lastyear cluster_tv_access cluster_cable_access cluster_radio_access ///
			cluster_ngo_allow cluster_member_mrdo_cbo cluster_mobil_outs_allow cluster_nall cluster_advice_pir i.village_code
			
test cluster_NAregist_vot_F cluster_month_expend cluster_hhsize cluster_house_quality cluster_asset_index cluster_zaat_status_low  ///
			 cluster_land cluster_num_women cluster_dist_poll_HH ///
			cluster_age cluster_any_school cluster_nc05 cluster_voted_lastyear cluster_tv_access cluster_cable_access cluster_radio_access ///
			cluster_ngo_allow cluster_member_mrdo_cbo cluster_mobil_outs_allow cluster_nall cluster_advice_pir
	local test1=r(p)
			
outreg2 using "$voting/Table_OA5_cluster.xls", append bracket dec(6) addstat ("F Test", `test1')

}

log close
