clear 
set more off
capture log close

global voting "C:/Users/wb478787/Dropbox/MORE - DEC/MORE_temp/Temporary Esha/Voting_Lasso/Final Tables_Data_Code/Tables/Feb23/Data"
log using "$voting/Table_OA9.log", replace

*Generates Table OA9

***Panel A

use "$voting/Table_OA9AB_Turnout_Share.dta",clear

br reg_male reg_female reg_total study_ps polling if reg_male==0 & reg_female==0
br if reg_male==0 & reg_female==0
drop if reg_male==0 & reg_female==0
drop if reg_total==0

tab study_const polling_station,m

*Panel A  - Registered Voters (20 ps vs other all ps in 2 study const)

preserve

drop if tag_turn_pppp==1

keep if study_const==1

tab reg_male if polling==2

tab reg_female if polling==3

tab constituency polling,m

sum reg_male reg_female if study_ps==1
sum reg_male reg_female if study_ps==0

ttest reg_male, by(study_ps)
ttest reg_female, by(study_ps)

restore

*Panel B - Turnout (Only the 2 study const)

preserve

drop if study_ps==1 & tag_turn_pppp!=1
drop if study_const==0

keep if polling_station==2 | polling_station==3 | polling_station==.

ttest male_turnout, by(study_ps)
ttest female_turnout, by(study_ps)

restore

**Panel C**

use "$voting/Table_OA9C_PPPPShare.dta", clear

ttest share_PPPP_m, by(study)
ttest share_PPPP_f, by(study)

log close
